#include "filesystem.h"
#include <QFile>
#include <QFileInfo>

static bool FileSystem::fileExists(QString path) {
    QFileInfo check_file(path);
    bool exists = check_file.exists() && check_file.isFile();

    if(exists == false)
        qWarning("%s:%i: %s%s", __FILE__, __LINE__, "Файл не найден: ", app->helper->stringToChar(path));

    return exists;
}

static QString FileSystem::fileHash(const QString &fileName, QCryptographicHash::Algorithm hashAlgorithm);

static void FileSystem::clearFolder(QDir &dir);
